Ergebnis 1 bis 5 von 5
  1. #1
    Neuer Benutzer
    Registriert seit
    04.03.2018
    Beiträge
    5

    Ausrufezeichen HTTP2 Probleme

    Guten Tag Zusammen,

    ich habe einige Probleme mit HTTP2. Laut Server/LiveConfig funktioniert HTTP2, allerdings mach ich z.B. ein Test über Externe Tools oder via CURL wird mir immer gezeigt das ich HTTP1.1 nutze.

    Ich weiß nicht wonach ich suchen soll. Wo der Fehler liegen kann.

    LiveConfig erkennt HTTP2 auch, siehe hier:
    https://s2.imghost.eu/2019/04/03/gra...512a13f3b9.png

    HTTP/2-Protokoll ist bei allen IPs Aktiv, und SSL Chiffren auf kompatibel.

    Wäre für Ideen und Hilfen Dankbar.

    Viele Grüße,
    Jens

  2. #2
    LiveConfig-Team Avatar von kk
    Registriert seit
    10.12.2010
    Beiträge
    3.140
    Welche Apache-MPM verwenden Sie? http/2 funktioniert nicht mit dem Prefork-MPM; empfohlen wird das Event-MPM.

    Aber: wir haben inzwischen schon mehrfach die Rückmeldung erhalten, dass mod_http2 zumindest bei Apache unter Debian 9 und Event-MPM beim Download von großen Dateien (>300MB) Probleme macht (einige Hoster haben das derzeit bewusst deaktiviert).

  3. #3
    Erfahrener Benutzer
    Registriert seit
    07.04.2011
    Beiträge
    645
    Zitat Zitat von kk Beitrag anzeigen
    Aber: wir haben inzwischen schon mehrfach die Rückmeldung erhalten, dass mod_http2 zumindest bei Apache unter Debian 9 und Event-MPM beim Download von großen Dateien (>300MB) Probleme macht (einige Hoster haben das derzeit bewusst deaktiviert).
    Es gibt einen Bug in Event-MPM, der komplett den Apache lahm legen kann.

    Außerdem gibt es auch in Stretch einen Bug in HTTP/2, der Safari-Clients betrifft.

    Wir haben aktuell HTTP/2 aktiv (es sei denn, Kunden benötigen zwingend Safari...), aber von mpm_event auf mpm_worker umgestellt.
    Mit mpm_prefork ist HTTP/2 gar nicht möglich, wie kk schon schrieb.

  4. #4
    Neuer Benutzer
    Registriert seit
    04.03.2018
    Beiträge
    5
    Hi, danke für eure Hilfe.

    Es läuft bereits der mpm_worker.

    root@web:~# a2query -M
    worker
    Ich bin leider noch nicht weiter gekommen.

    Viele Grüße,
    Jens

  5. #5
    Erfahrener Benutzer
    Registriert seit
    02.04.2012
    Beiträge
    627
    Zitat Zitat von antondollmaier Beitrag anzeigen
    Außerdem gibt es auch in Stretch einen Bug in HTTP/2, der Safari-Clients betrifft.
    Der Teil wurde endlich in 2.4.25-3+deb9u7 behoben.

Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •